/* SuperRectangle - Charlie Roberts
** 6.25.2008
**
** This creates a rectangle which animates travelling across the screen
** The rectangle has a randomly determined color and a speed defined by the code that creates it
**
*/

class SuperRectangle {
  // instance variables
  float x,y, speed;
  int direction;              // controls whether the rectangle is moving left or right
  int r,g,b,a;                // color variables
  
  // below is the constructor method for SuperRectangle.
  // it accepts one parameter, which is the speed the rectangle should travel at
  SuperRectangle(float aSpeed) {
    x = random(width);        // create a random number from 0 to the width of the window
    y = random(height);       // create a random number from 0 to the height of the window
    direction = 1;
    speed = aSpeed;
    r = int(random(255));     // creates a random value for red...
    g = int(random(255));     // ... green ...
    b = int(random(255));     // ... blue ...
    a = int(random(255));     // ... alpha (transparency)
  }
    
  void drawRect() {
    fill(r,g,b,a);            // set the color of the rectangle using the randomly determined r,b,g,a variables
    rect(x, y, 100, 100);     // draw the rectangle
    x += direction * speed;   // change the x variable which determines the position of the rectangle on the x axis
    if(x > width) {           // if the rectangle is off the screen to the right...
      direction = -1;         // ... change direction to the left
    }else if(x < 0) {         // if the rectangle is off the screen to the left
      direction = 1;          // ... change direction to the right
    }
  }   
}
